//-----------------------------------------------------------------------------
//
// Copyright (C) 2006 G Jackson
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
//  02111-1307, USA.
//
// $Log: main.c
// Revision 1.0.0 build 62 03/Oct/2006 gmj
//           Note: Utilizes LZSS decompression.
//
// DESCRIPTION: Console app to check files for Risen3D
//
//-----------------------------------------------------------------------------

#include	<stdio.h>
#include	<io.h>
#include	<stdarg.h>
#include	<stdlib.h>
#include	<string.h>
#include	<direct.h>

#include	"wadcheck.h"

char callpath[_MAX_PATH];

// CODE ----------------------------------------------------

char *GetNamePtr(char *fname)
{
	char *ptr = fname + strlen(fname);
	while (ptr > fname && *(ptr - 1) != '\\' && *(ptr - 1) != '/') --ptr;
	return ptr;
}

void DefFullPathBin(char *fname, char *buff)
{
	char *ptr = GetNamePtr(fname);

	if (ptr == fname)
	{
		unsigned int len = strlen(callpath);

		if (len && callpath[len - 1] != '\\')
			sprintf(buff, "%s\\%s", callpath, fname);
		else
			sprintf(buff, "%s%s", callpath, fname);
	}
	else
		strcpy(buff, fname);
}

int CharIsNum(char s)
{
	return (s >= '0' && s <= '9');
}

// MAIN ---------------------------------------------------

int main(int argc, char **argv)
{
	int res;

	if (_access("Risen3D.exe", 0) == -1) exit(0);

	if (_access("R3D_inf.txt", 0) != -1)
	{
		FILE *tmp = fopen("R3D_inf.txt", "w+");
		fclose(tmp);
	}

	setbuf(stdout, NULL);

	if ( _getcwd(callpath, _MAX_PATH) == NULL)
		return 1;

	if (argc == 3)
	{
		if (!strcmp(argv[1], "GETSAVEHDRS"))
		{
			res = GetSaveHeaders(false, argv[2]);
			return res;
		}
		if (!strcmp(argv[1], "FGETSAVEHDRS"))
		{
			res = GetSaveHeaders(true, argv[2]);
			return res;
		}
		if (!strcmp(argv[1], "LISTWAD"))
		{
			res = ListWads(argv[2]);
			return res;
		}
		if (!strcmp(argv[1], "CHECKWAD"))
		{
			res = CheckWad("stdout", argv[2]);
			return res;
		}
	}
	if (argc == 4)
	{
		if (!strcmp(argv[1], "FCHECKWAD"))
		{
			res = CheckWad(argv[2], argv[3]);
			return res;
		}
	}
	return 0;
}

