//-----------------------------------------------------------------------------
//
// R3D_SLOPES.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_SLOPES_H__
#define __R3D_SLOPES_H__

// slope setup functions
void	LS_SetTiltOffsets(int analyse);
void	LS_SetSectorSlopeFlags(void);
void	LS_CheckSlopeAnalysis(void);

// slope value functions
int		SL_PointHeight(sector_t *sec, int xp, int yp, int hi);
int		SL_PointHeightZ(sector_t *sec, int xp, int yp, int hi);
int		SL_XYHeight(int stptr, int xp, int yp, int hi);
int		SL_LowCeilHeight(sector_t *s);
int		SL_HighFloorHeight(sector_t *s);
float	SL_PointHeightFP(sector_t *sec, float xp, float yp, int hi);

// slope rendering functions
void rendSlopesInfill(seg_t *seg, side_t *sid, short midtex, float xoff, float roff, float segoff);
void rendSlopesInfill2(seg_t *seg, side_t *sid, short midtex, float xoff, float roff, float segoff);

#endif
