//-----------------------------------------------------------------------------
//
// CON_ACTION.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------
#ifndef __CON_ACTION_H__
#define __CON_ACTION_H__

void	Con_ClearActions(void);
int		Con_ActionCommand(char *cmd, RDBOOL has_prefix);

// Provides info for building ticcmds.
typedef enum 
{
	// Game controls.
	A_TURNLEFT,
	A_TURNRIGHT,
	A_FORWARD,
	A_BACKWARD,
	A_STRAFELEFT,
	A_STRAFERIGHT,
	A_FIRE,
	A_USE,
	A_STRAFE,
	A_SPEED,
	A_WEAPON1,
	A_WEAPON2,
	A_WEAPON3,
	A_WEAPON4,
	A_WEAPON5,
	A_WEAPON6,
	A_WEAPON7,
	A_WEAPON8,
	A_WEAPON9,
	A_NEXTWEAPON,
	A_PREVIOUSWEAPON,
	A_MLOOK,
	A_JLOOK,
	A_LOOKUP,
	A_LOOKDOWN,
	A_LOOKCENTER,
	A_JUMP,
	A_WEAPONCYCLE1,
	A_WEAPONCYCLE2,
	NUM_ACTIONS
} haction_t;

// This is the actions array.
extern	action_t actions[NUM_ACTIONS+1];

#endif 