//-----------------------------------------------------------------------------
//
// DD_DFDAT.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __DD_DFDAT_H__
#define __DD_DFDAT_H__

#define NUM_MOBJ_FLAGS		3
#define NUM_MISCST			2	// state

#pragma pack(2)

typedef struct
{
	char name[5];
	byte align;

} sprname_t;

#pragma pack()

typedef struct state_s
{
	int sprite;
	int	stflags;
	int frame;
	int tics;
	int nextstate;
	int misct[NUM_MISCST];
	int action_num;		// v220-13 pointer in list replaces direct action ptr
	void *model;
	void *light;
	void *ptrigger;

} state_t;

typedef struct
{
    int	doomednum;
    int	spawnstate;
    int	spawnhealth;
    int	seestate;
    int	seesound;
    int	reactiontime;
    int	attacksound;
    int	painstate;
    int	painchance;
    int	painsound;
    int	meleestate;
    int	missilestate;
    int	deathstate;
    int	xdeathstate;
    int	deathsound;
    int	speed;
    int	radius;
    int	height;
    int	mass;
    int	damage;
    int	activesound;
    int	flags;
	int flags2;
	int flags3;
    int	raisestate;
	int weapon_offset;		// v220-4
	short scplightlevel;	// v220-13

} mobjinfo_t;

typedef struct
{
	char *text;

} ddtext_t;

typedef struct
{
	char *name;
	char *author;
	int music;
	int flags;
	float ambient;
	float gravity;
	int partime;	// v220-4 all partime refs changed from float to int

} ddmapinfo_t;

typedef struct
{
	char *brief;
	char *debrief;
	char *script;

} ddfinale_t;

typedef ddfinale_t finalescript_t;

#endif
