//-----------------------------------------------------------------------------
//
// GL_PNG.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __GL_PNG_H__
#define __GL_PNG_H__

typedef struct png_s
{
	char id[8];				// 89 PNG 0D 0A 1A 0A
	int  chunksize;			// size of first entry = 13
	char chunkname[4];		// name of chunk (must be IHDR)
	int  xsize;				// width
	int  ysize;				// height
	byte bitdepth;			// 1,2,4,8 or 16 bits per channel (from IHDR)
	byte colortype;			// PNG color type from IHDR
	byte compression;		// must be PNG_COMPRESSION_TYPE_BASE (IHDR)
	byte filter;			// must be PNG_FILTER_TYPE_BASE (from IHDR)
	byte interlace;			// either PNG_INTERLACE_NONE or PNG_INTERLACE_ADAM7 
	byte channels;			// number of data channels per pixel (1, 2, 3, 4)
} png_t;

extern char *pngID;
byte *PNG_Load(char *fileName, int lump, int *width,
			   int *height, int *pixelSize, int from);

#endif