//-----------------------------------------------------------------------------
//
// M_BAMS.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __M_BAMS_H__
#define __M_BAMS_H__

typedef unsigned short	binangle_t;

// Some predefined angles.
#define	BANG_0		0x0000		// EAST
#define BANG_45		0x2000		// NORTHEAST
#define BANG_90		0x4000		// NORTH
#define BANG_135	0x6000		// NORTHWEST
#define BANG_180	0x8000		// WEST.
#define BANG_225	0xA000		// SOUTHWEST
#define BANG_270	0xC000		// SOUTH
#define BANG_315	0xE000		// SOUTHEAST
#define BANG_MAX	0xFFFF		// The largest possible angle.


#define BAMS_PI				(3.14159265359f)
#define RAD2BANG(x)			((binangle_t)((x)/BAMS_PI*BANG_180))
#define BANG2RAD(x)			((float)((x)/(float)BANG_180*BAMS_PI))
#define BANG2DEG(x)			((float)((x)/(float)BANG_180*180))

void bamsInit();	// Fill in the tables.

binangle_t bamsAtan2(int y,int x);

#endif