//-----------------------------------------------------------------------------
//
// M_MEM.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __M_WINMEM_H__
#define __M_WINMEM_H__

#include "dd_types.h"

// Winmem thread identifiers
#define	THINKID		0xF2E607E3
#define	MODELID		0xF4182915
#define	PARTCLID	0xF63A4B37
#define	LISTID		0xF85C6D59
#define	LEVELID		0xFA708F7B
#define	STATICID	0xFC92A19D
#define	NODESID		0xFEB4C3BF
#define	MBOXID		0xF3D718F4
#define	TEMPID		0xF1D6E5E1

#define NUM_MCLASS	9	// Number of Winmem list identifiers

#define	CACHEID		0x297A401D

#define		MLC_NOLOCK	false
#define		MLC_LOCK	true
#define		MLC_NOERR	false
#define		MLC_ERR		true

// General memory routines
void		*M_Malloc(size_t size, int from);
void		*M_Calloc(size_t size, int from);
void		*M_Realloc(void *ptr, size_t size, int from);
void		M_Free(void *ptr);

// R3D mem functions
void		*M_lumpCACHE(int lump, size_t *length, int locked, int error);
void		*M_LockedCACHE(size_t size);
void		M_FreelumpCACHE(void);
void		M_unlockCACHE(void *ptr);

// R3D win memory routines
void		W_CheckHeap(int from);
void		W_InitWINM(void);
void		W_Free(void *ptr, uint id, int from);
RDBOOL		W_FreeALL(uint id);
void		*W_Malloc(size_t size, uint id, int from);
void		*W_MallocLump(int lump, uint id, int from);
void		*W_Calloc(size_t size, uint id, int from);
void		*W_Realloc(void *ptr, size_t size, uint id, int from);
void		*W_ReallocCLR(void *ptr, size_t size, uint id, int from);

#endif
