//-----------------------------------------------------------------------------
//
// R3D_LSCHECK.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_LSCHECK_H__
#define __R3D_LSCHECK_H__

#include "p_data.h"

void LS_CheckValidLFSector(void);
void LS_CheckR3D_03Ladders(void);
void LS_CheckR3D_04Lines(void);
void LS_CheckR3D_06Lines(void);
void LS_CheckR3D_1ELines(void);
void LS_CheckR3D_22Lines(void);
void LS_CheckSameR3D_00TexLinesWithCL(void);
void LS_CheckR3D_06InheritanceFromR3D_03(void);
void LS_CheckSpecialAnimSecs(void);
int  LS_CheckThingsHeight(void);
int  LS_BoundingBoxDiff(int out[4]);
line_t *LS_FindOuterLine(sector_t *sec);
void LS_CheckFlatsWithR3D_1ALoops(void);

// Node checking routines
void LS_CheckMaskedDoors(void);
void LS_CheckLineType(void);
void LS_CheckIfLineOnLineNeedsProjection(void);
void LS_CheckSpecialLinkedAnimSectors(void);
void LS_CheckAllCoincidentLines(void);
void LS_CheckMovLiqFloorInMovFloor(void);

#endif