//-----------------------------------------------------------------------------
//
// R3D_XLINE.H - Header file for Risen3D [R3D] v220-25
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//
//-----------------------------------------------------------------------------


#ifndef __R3D_XLINE_H__
#define __R3D_XLINE_H__

#define NODSAVESIZE (10 + 7 * sizeof(float) + 2 * sizeof(int))

#pragma pack(2)

typedef struct {

	// values stored in nodes file ---
	char	midtex[10];
	float	startx, starty;
	float	endx, endy;
	float	y_off;
	float	x_off[2];
	int		secn;
	int		flags;
	//--------------------------------

	// values set/calculated in p_setup.c
	float	dx, dy;
	float	length;
	float	floorheight;
	float	ceilheight;
	int		box[4];
	int		texn;

} xlinemem_t;

#pragma pack()

extern xlinemem_t		*xlinemem;
extern unsigned char	*xlisrendered;
extern int				num_xlsame;
extern int				use_xl_lines;

enum
{
	BTOP, BBASE, BLEFT, BRIGHT
};

#endif
