//-----------------------------------------------------------------------------
//
// R_MAIN.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __R_MAIN_H__
#define __R_MAIN_H__

#include "p_data.h"

// player rendering parms - R3D
typedef struct
{
	ddplayer_t	*viewplayer;
	subsector_t *view_subsector;
	mobj_t		*viewplrmo;
	int			viewer_lightlevel;
	int			viewer_fake_sector;
	int			fake_floorheight;
	int			thinkers_have_run;
	int			listset;
	int			inmap;	// v220-31 set false if player is not in the map

} plrparm_t;

extern plrparm_t ppt;

void	R_RenderPlayerView (ddplayer_t *player, int noclip);

extern  fixed_t     viewx, viewy, viewz;
extern  fixed_t		viewxOffset, viewyOffset, viewzOffset;
extern  angle_t     viewangle;
extern	float		viewpitch;

extern	int			validcount;
extern	int			thing_validcount;

extern	int			viewangleoffset;
extern	int			extralight;
extern	fixed_t		viewcos, viewsin;
extern	int			skyflatnum;

extern	int			viewSCRheight;

extern float		vang, truevang, dplookdir;
extern float		fvx, fvy, fvz, vpitch, yfov, aspect;

#endif 