//-----------------------------------------------------------------------------
//
// REND_CLIP.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __REND_CLIP_H__
#define __REND_CLIP_H__

#include "m_bams.h"
#include "p_data.h"

#ifndef M_PI
#define M_PI  3.14159265358979323846
#endif

typedef struct clipnode_s
{
	struct clipnode_s	*prev, *next;	// Previous and next nodes.
	angle_t				start, end;		// The start and end angles 
}
clipnode_t;

extern clipnode_t *cliphead;	// The head node.

// Clipper functions
void	C_ClearRanges(void);
void	C_AddViewRelSeg(seg_t *sg);
void	C_SafeAddRangeRealAngles(angle_t startangle, angle_t endangle);
int		C_CheckViewSeg(seg_t *sg);

// Returns 1 if the subsector might be visible.
int		C_CheckBspBox(fixed_t *bspbox);

#endif 