//-----------------------------------------------------------------------------
//
// S_MUS.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __S_MUS_H__
#define __S_MUS_H__

#include "dedfile.h"
#include "ui_main.h"

int		Music_GetMUS(ded_music_t *def);
int		Music_PlayInter(int lumpnum);
void	Music_Stop(void);
void	Music_PlayLump(int lumpnum);

int		PlayMusListExt(int idx);
RDBOOL	PlayMapinfoFile(char *fname);
RDBOOL	CheckAndPlayFile(int lumpnum, char *calledfrom);
RDBOOL	PlayScriptedFile(char *fname);

extern char	music_playing[96];
extern int	music_status;
extern int	global_looped;
extern int	midi_selected;
extern int	sfx_volume;
extern int	mid_volume;
extern int	ext_volume;

// v220-13
extern int	pos_slider;
extern uint musicpos;
extern uidata_slider_t sld_musicpos;

#endif 