//-----------------------------------------------------------------------------
//
// S_SOUND.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __S_SOUND__
#define __S_SOUND__

//#include "d_player.h"
//#include "r_defs.h"

#include "doom\SndIdx.h"	// Sfx and music indices.

//#define sfx_chat (commercial_game ? sfx_radio : sfx_tink)

#define MAXAMBIENT	 64
#define MAX_ATTN	  5.0f

// R3D ambients
// Ambient sounds handler

typedef struct {
	int		ambnum;
	int		secnum;
	int		count;
	mobj_t	*mo;
} ambiscroll_t;

extern ambiscroll_t scrollAMB[MAXAMBIENT];

void	S_CheckAmbientSound(mobj_t *mo);
void	S_KillAmbient(int ambient_num);
int		S_GetAmbientCount(void);
RDBOOL	S_SectorSoundRepeat(int id, sector_t *sec);
byte	*S_FetchASFLAGS(void);
void	S_RestoreASFLAGS(byte *asflags);
void	S_SectorSound(sector_t *sector, int sound_id);
int		S_ExistsAmbient(int num);

#endif
