//-----------------------------------------------------------------------------
//
// SYS_DIREC.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __SYS_DIREC_H__
#define __SYS_DIREC_H__

#include "dd_types.h"

typedef struct
{
	int  drive;
	char path[MAXPATH];
} directory_t;

RDBOOL	Dir_ChExt(char *fname, char *ext);	// b211-0 Added
void	Dir_GetDir(directory_t *dir);
int		Dir_ChDir(directory_t *dir);
void	Dir_FileDir(char *str, directory_t *dir);
void	Dir_FileName(char *str, char *name);
void	Dir_MakeDir(char *path, directory_t *dir);
int		Dir_FileID(char *str);
void	Dir_ValidDir(char *str);
int		Dir_IsAbsolute(const char *str);

void	Dir_ConvertSlashes(char *modifiableBuffer);

#endif