//-----------------------------------------------------------------------------
//
// SYS_SFXD.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __SYS_SFXD_H__
#define __SYS_SFXD_H__

#include "s_chan.h"

// Driver functions
int		DS_SoundCreateBuffer(sfxchannel_t *ch, int flags, int bytes, int rate, uint size);

RDBOOL	DS_SoundRefresh(sfxchannel_t *ch);
RDBOOL	DS_SoundLoad(sfxchannel_t *ch, struct sfxsample_s *sample);

void	DS_SoundPlay(sfxchannel_t *ch);
void	DS_SoundReset(sfxchannel_t *ch);
void	DS_SoundStop(sfxchannel_t *ch);
void	DS_SoundRestart(sfxchannel_t *ch);
void	DS_SoundDestroyBuffer(sfxchannel_t *ch);
void	DS_SoundSet(sfxchannel_t *ch, int property, float value);
void	DS_SoundSetv(sfxchannel_t *ch, int property, float *values);
void	DS_SoundListener(int property, float value);
void	DS_SoundListenerv(int property, float *values);
void	DS_SoundShutdown(void);

// Global functions
RDBOOL	D3D_SoundInit(void);
void	D3D_DSoundSetPrimaryFormat(void);

#endif 