//-----------------------------------------------------------------------------
//
// Copyright (C) 2006 - 2009 G Jackson, Jaakko Kernen
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
//  02111-1307, USA.
//
// $Log: d_console.c
//
// Revision 2.1.0 build 62 04/Oct/2006 gmj
//  modified for use with R3D, moved to main engine
// Revision 2.2.0 build 0 20/May/2008 gmj (b211-0 / b220-0)
// Revision 2.2.0 build 3 (v220-3) 17/Dec/2008 gmj
// Revision 2.2.0 build 4 (v220-4) 23/Jul/2009 gmj
//
// Based on: Doomsday v1.7.8 JDoom.dll code
//
//
// DESCRIPTION:  Doom console
//
//-----------------------------------------------------------------------------

#include <stdlib.h>
#include <string.h>

#include "r3d_compat.h"

#include "doom/f_infine.h"
#include "doom/g_game.h"
#include "doom/Mn_def.h"
#include "doom/hu_stuff.h"
#include "doom/m_Menu.h"

#include "con_console.h"
#include "con_functions.h"
#include "gl_tex.h"
#include "dd_wad.h"
#include "s_main.h"

// Macros -----------------------------------------------------------------

// External Functions -----------------------------------------------------

// Public Functions -------------------------------------------------------

// External Data ----------------------------------------------------------

// Public Data ------------------------------------------------------------

// Code -------------------------------------------------------------------

int CCmdScreenShot(int argc, char **argv)
{
	G_ScreenShot();
	return true;
}

// v220-4 eliminate max option with a scripted map
int CCmdHudCycle(int argc, char **argv)
{
	int min = 1, max = 5, *val = &cfg.sbarscale;

	if (R3D_ScriptedMap) return true;

	if(argc != 2 || _stricmp(argv[0], "sbcycle"))
	{
		Con_Printf( "Usage: %s (size)\n", argv[0]);
		Con_Printf( "Size can be: +, -, (num).\n");
		return true;
	}

	if (argv[1][0] == '+')
	{
		(*val)++;
		S_LocalSound(sfx_stnmov, NULL);
	}
	else if(argv[1][0] == '-')
	{
		(*val)--;
		S_LocalSound(sfx_stnmov, NULL);
	}
	else
		*val = strtol(argv[1], NULL, 0);

	if (*val < min) *val = max;
	if (*val > max) *val = min;

	return true;
}

int CCmdPause(int argc, char **argv)
{
	// v220-3 add appStatus check
	if (!menu_active || appStatus != 2)
		Con_Printf("Use the PAUSE key\n");

	return true;
}

int ConTextWidth(char *text)
{
	return M_StringWidth(text, hu_font_a);
}

void ConTextFilter(char *text)
{
	_strupr(text);
}
