//-----------------------------------------------------------------------------
//
// RD_SHARED.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __RD_SHARED_H__
#define __RD_SHARED_H__

// v220-35 note that this file is shared with rd_level and zd_processor.
// As such it should have no references added that can cause conflicts..
#define	ND_NEWSIDE1		0x00000001
#define	ND_NEWSIDE2		0x00000002
#define	ND_SWAPSIDES	0x00000004
#define	ND_SWAPLVTXS	0x00000008
#define	ND_CLEAR2S		0x00000010
#define	ND_SINGLE		0x00000020

typedef struct {
	int line;
	int side1sec;
	int side2sec;
	int	ndflags;
	char sd1low[10], sd1mid[10], sd1hi[10];
	char sd2low[10], sd2mid[10], sd2hi[10];
} nodefix_t;

extern nodefix_t	*nodefix;
extern int			currentnodefix;
extern int			numnodefix;

typedef struct {
	int		vtxnum;
	short	vx, vy;
} vertexfix_t;

extern vertexfix_t	*vertexfix;
extern int			currentvertexfix;
extern int			numvertexfix;

extern int NFnumlinedefs, NFnumsidedefs, NFnumvertexes, NFnumsectors;

#endif
